Set auto-forwarding status
curl --request POST \
--url https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id}/set_auto_forwarding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id}/set_auto_forwarding"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/workspaces/{workspace_id}/set_auto_forwarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}ワークスペース操作
Set auto-forwarding status
Set whether the workspace will automatically advance to the latest commit when its branch receives new commits.
POST
/
repos
/
{repo_id}
/
workspaces
/
{workspace_id}
/
set_auto_forwarding
Set auto-forwarding status
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
The repo ID of the workspace.
Required string length:
3 - 128Example:
"example_id"
Body
application/json
Set whether a workspace will automatically advance to the latest commit when its branch receives new commits.
workspace auto-forwarding status
Available options:
enabled, disabled Response
Request completed successfully
⌘I

